using SlatedGameToolkit.Framework.AssetSystem;
using SlatedGameToolkit.Framework.Graphics.OpenGL;
using SlatedGameToolkit.Framework.Graphics.Textures;
using SlatedGameToolkit.Framework.Graphics.Window;

namespace SlatedGameToolkit.Framework.AssetSystem.AssetData
{
    public class TextureData : IAssetData
    {
        public readonly byte[] data;
        public readonly int width;
        public readonly int height;

        public TextureData(int width, int height, byte[] data) {
            this.data = data;
            this.width = width;
            this.height = height;
        }

        public IAssetUseable InitializeUseable(GLContext glContext = null)
        {
            if (glContext == null) glContext = WindowContextsManager.CurrentGL;
            return new Texture(this, context: glContext);
        }
    }
}