﻿using System.IO;
using SlatedGameToolkit.Framework.AssetSystem.AssetData;
using SlatedGameToolkit.Framework.Graphics.OpenGL;
using SlatedGameToolkit.Framework.Graphics.Textures;
using StbImageSharp;

namespace SlatedGameToolkit.Framework.Loaders
{
    public static class TextureLoader
    {
        /// <summary>
        /// Loads a texture using StbImage library.
        /// Any format supported by StbImage is therefore supported.
        /// </summary>
        /// <param name="path">The path of the texture to load.</param>
        /// <returns>The data for the texture.</returns>
        public static TextureData Load2DTexture(string path)
        {
            using (Stream stream = File.OpenRead(path))
            {
                ImageResult image = ImageResult.FromStream(stream, ColorComponents.RedGreenBlueAlpha);
                TextureData textureData = new TextureData(image.Width, image.Height, image.Data);
                return textureData;
            }
        }
    }
}
