using System.Numerics;

namespace SlatedGameToolkit.Framework.Graphics.Render
{
    public interface IPositionInterpolable
    {
        /// <summary>
        /// Allows this object to perform interpolation based on the position (delta) between the update frames.
        /// </summary>
        /// <param name="delta">A normalized value between [0, 1] representing the current position between the updates.</param>
        void InterpolatePosition(double delta);
    }
}