using System;
using SlatedGameToolkit.Framework.AssetSystem;

namespace SlatedGameToolkit.Framework.Graphics.Textures
{
    public interface ITexture : IAssetUseable, IDisposable
    {
        /// <summary>
        /// Whether or not this model uses a texture that is single chanelled.
        /// </summary>
        /// <value>true for single channeled.</value>
        bool SingleChanneled { get; }
        bool Flipped { get; }
        uint Handle {get;}
        uint Width {get;}
        uint Height {get;}
    }
}